| Fling Engine 0.00.1 Fling Engine is a game engine written in Vulkan

Public Member Functions | Static Public Member Functions | Static Protected Attributes
Fling::Logger Class Reference

Singleton class that allows logging to the console as well as async to a file. More...

`#include <Logger.h>`

Inherits Fling::Singleton< Logger >.

## Public Member Functions
virtual void | Init () override
Public Member Functions inherited from Fling::Singleton< Logger >
virtual FLING_API void | Shutdown ()

## Static Public Member Functions
static std::shared_ptr< spdlog::logger > | GetCurrentConsole ()
| Gets a reference to the current logging console More...
static std::shared_ptr< spdlog::logger > | GetCurrentLogFile ()
| Get the current async log file that is being written to. More...
Static Public Member Functions inherited from Fling::Singleton< Logger >
static Logger & | Get ()

## Static Protected Attributes
static std::shared_ptr< spdlog::logger > | m_Console = nullptr
| Pointer to the current console that is being used for logging. More...
static std::shared_ptr< spdlog::logger > | m_FileLog = nullptr
| Pointer to the log file logger. More...

## Additional Inherited Members
Protected Member Functions inherited from Fling::Singleton< Logger >
| Singleton ()=default
| Every singleton must have a default constructor so that explicit creation and destruction of them is maintained. More...

## Detailed Description

Singleton class that allows logging to the console as well as async to a file.

Use the defines to actually log strings out.

## Member Function Documentation

## ◆ GetCurrentConsole()

std::shared_ptr< spdlog::logger > Fling::Logger::GetCurrentConsole | ( |  | ) |
| static

Gets a reference to the current logging console

Returns
  Shader ptr to the current console

## ◆ GetCurrentLogFile()

std::shared_ptr< spdlog::logger > Fling::Logger::GetCurrentLogFile | ( |  | ) |
| static

Get the current async log file that is being written to.

## ◆ Init()

void Fling::Logger::Init | ( |  | ) |
| override virtual

Reimplemented from Fling::Singleton< Logger >.

## Field Documentation

## ◆ m_Console

std::shared_ptr< spdlog::logger > Fling::Logger::m_Console = nullptr
| static protected

Pointer to the current console that is being used for logging.

## ◆ m_FileLog

std::shared_ptr< spdlog::logger > Fling::Logger::m_FileLog = nullptr
| static protected

Pointer to the log file logger.

The documentation for this class was generated from the following files:

- FlingEngine/Utils/inc/Logger.h
- FlingEngine/Utils/src/Logger.cpp